# sc::OneBody3IntOp Class Reference

Inheritance diagram for sc::OneBody3IntOp:

List of all members.

## Public Member Functions

| OneBody3IntOp (const Ref< OneBodyInt > &b)
| OneBody3IntOp (const Ref< OneBodyIntIter > &)
void | process (SCMatrixBlockIter &, SCMatrixBlockIter &, SCMatrixBlockIter &)
void | process_spec_rect (SCMatrixRectBlock *, SCMatrixRectBlock *, SCMatrixRectBlock *)
void | process_spec_ltri (SCMatrixLTriBlock *, SCMatrixLTriBlock *, SCMatrixLTriBlock *)
int | has_side_effects ()
int | has_side_effects_in_arg1 ()
int | has_side_effects_in_arg2 ()

The documentation for this class was generated from the following file:

- obint.h